Subject: Re: bug#13065: Bug in x-file-dialog with GetOpenFileName

From: Jason Rumney <[email-masked]>
Date: Wed, 16 Jan 2013 20:23:19 +0800

Eli Zaretskii <[email-masked]> writes:

> Failing that, I'm beginning to think that the problem is elsewhere in
> Emacs.  But what could that be?  Is it possible that one of our
> message pumps somehow interferes with the dialog interaction, e.g., by
> intercepting some of the messages that were supposed to wind up in our
> hook procedure?

That seems like the most likely candidate. Do you have Spy++, or an
equivalent that can show the Windows messages going to and from your
sample program and the Open/Save dialog in Emacs?

> Could it be due to the fact that our main message
> pump uses Unicode APIs, while the file selector uses ANSI APIs?

Since that's quite a recent change, it should be easy to test by trying
an older version of Emacs on Windows 7.